// 
// smeg - A satellite modelling and prediction tool
// Copyright (C) 1999  Tom Rothamel
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; see the file COPYING.  If not, write to
// the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
// Boston, MA 02111-1307, USA.

#include <sts2.h>
#include <time.h>

struct tm *now_tm() {
	time_t ti;

	ti = time(NULL);
	return localtime(&ti);
}

time_t today() {
	struct tm *tm;

	tm = now_tm();
	tm->tm_sec = 0;
	tm->tm_min = 0;
	tm->tm_hour = 0;

	return mktime(tm);
}

time_t tomorrow() {
	return today() + 86400;
}

time_t yesterday() {
	return today() - 86400;
}

time_t randomdate(int year, int month, int day) {
	struct tm tm;
	
	tm.tm_year = year - 1900;
	tm.tm_mon = month - 1;
	tm.tm_mday = day;

	tm.tm_hour = 0;
	tm.tm_min = 0;
	tm.tm_sec = 0;

	return mktime(&tm);
}

time_t midnight() { return 0; }
time_t noon() { return 12 * 3600; }

time_t randomtime(int hour, int minute, int second) {
	return 3600 * hour + 60 * minute + second;
}
	
